#!/bin/sh

modprobe gumsense

# Setup devices
ln -s /dev/ttyS1 /dev/gps
ln -s /dev/ttyS2 /dev/gprs

# Remove the ppp lock file
rm -f /var/run/ppp-gw-gprs.pid

# Configure the serial ports
#STUART
echo "AF2 in" > /proc/gpio/GPIO46
echo "AF1 out" > /proc/gpio/GPIO47

#HWUART
echo "AF1 in" > /proc/gpio/GPIO49
echo "AF1 out" > /proc/gpio/GPIO48

#BTUART
echo "AF1 in" > /proc/gpio/GPIO42
echo "AF2 out" > /proc/gpio/GPIO43

# Bring usb0 up
ifconfig usb0 192.168.1.202/24 up

cd /home/root
./keepalive.sh &
echo 15 > /proc/$!/oom_adj
./emergencystop.sh &
./libgum/gum-loadtime
sleep 5
python /home/root/gwstation.py -d -R &
echo -17 > /proc/$!/oom_adj

